/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
var prevLines = 0;

$(function() {

$('#ftpEdit').on('input', function() {
    var lines = this.value.split('\n').length;
    if (prevLines == lines)
        return;
    var ftpEditNumbers = [];
    for (var i = 0; i < lines; i++)
        ftpEditNumbers.push((i + 1) + ' ');
    $('#ftpEditNumbers').val(ftpEditNumbers.join('\n'));
    prevLines = lines;
});
$('#ftpEdit').trigger('input');

$('#ftpEdit').scroll(function() {
    ftpEditNumbers = $('#ftpEditNumbers');
    ftpEditNumbers.scrollTop(this.scrollTop);
    ftpEditNumbers.scrollLeft(this.scrollLeft);
});

$('#ftpEdit').keydown(function(e) {
    if (e.keyCode === 9 || e.which === 9 || e.key === 'Tab' || e.code === 'Tab')
    {
        var start = this.selectionStart;
        var end = this.selectionEnd;
        this.value = this.value.substr(0, start) + '\t' + this.value.substr(end);
        this.setSelectionRange(start + 1, start + 1);
        e.preventDefault();
    }
});
$('textarea').css('height', $(window).height() * 0.7);
$('#ftpEditNumbers').css('pointer-events', 'none');

});

