/*!
 * jQuery Iframe Transport Plugin
 * https://github.com/blueimp/jQuery-File-Upload
 *
 * Copyright 2011, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * https://opensource.org/licenses/MIT
 */
(function(e){"use strict";if(typeof define==="function"&&define.amd){define(["jquery"],e)}else if(typeof exports==="object"){e(require("jquery"))}else{e(window.jQuery)}})(function(p){"use strict";var n=0,t=p,r="parseJSON";if("JSON"in window&&"parse"in JSON){t=JSON;r="parse"}p.ajaxTransport("iframe",function(a){if(a["async"]){var o=a.initialIframeSrc||"javascript:false;",i,f,t;return{send:function(e,r){i=p('<form style="display:none;"></form>');i.attr("accept-charset",a.formAcceptCharset);t=/\?/.test(a.url)?"&":"?";if(a.type==="DELETE"){a.url=a.url+t+"_method=DELETE";a.type="POST"}else if(a.type==="PUT"){a.url=a.url+t+"_method=PUT";a.type="POST"}else if(a.type==="PATCH"){a.url=a.url+t+"_method=PATCH";a.type="POST"}n+=1;f=p('<iframe src="'+o+'" name="iframe-transport-'+n+'"></iframe>').on("load",function(){var n,t=p.isArray(a.paramName)?a.paramName:[a.paramName];f.off("load").on("load",function(){var e;try{e=f.contents();if(!e.length||!e[0].firstChild){throw new Error}}catch(t){e=undefined}r(200,"success",{iframe:e});p('<iframe src="'+o+'"></iframe>').appendTo(i);window.setTimeout(function(){i.remove()},0)});i.prop("target",f.prop("name")).prop("action",a.url).prop("method",a.type);if(a.formData){p.each(a.formData,function(e,t){p('<input type="hidden"/>').prop("name",t.name).val(t.value).appendTo(i)})}if(a.fileInput&&a.fileInput.length&&a.type==="POST"){n=a.fileInput.clone();a.fileInput.after(function(e){return n[e]});if(a.paramName){a.fileInput.each(function(e){p(this).prop("name",t[e]||a.paramName)})}i.append(a.fileInput).prop("enctype","multipart/form-data").prop("encoding","multipart/form-data");a.fileInput.removeAttr("form")}window.setTimeout(function(){i.submit();if(n&&n.length){a.fileInput.each(function(e,t){var r=p(n[e]);p(t).prop("name",r.prop("name")).attr("form",r.attr("form"));r.replaceWith(t)})}},0)});i.append(f).appendTo(document.body)},abort:function(){if(f){f.off("load").prop("src",o)}if(i){i.remove()}}}}});p.ajaxSetup({converters:{"iframe text":function(e){return e&&p(e[0].body).text()},"iframe json":function(e){return e&&t[r](p(e[0].body).text())},"iframe html":function(e){return e&&p(e[0].body).html()},"iframe xml":function(e){var t=e&&e[0];return t&&p.isXMLDoc(t)?t:p.parseXML(t.XMLDocument&&t.XMLDocument.xml||p(t.body).html())},"iframe script":function(e){return e&&p.globalEval(p(e[0].body).text())}}})});