<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/

?>

<p><?php echo Yii::t('mc', 'Path:') ?> <span id="ftp-tree-path"><?php echo $path ? CHtml::encode($path) : '/' ?></span></p>
<table id="ftp-tree" class="table table-striped table-hover">
<?php if (strlen((string)$path) > 1): ?>
    <tr class="ftp-table-row">
        <td width="30">
            <?php echo Theme::icon('ftp/folder') ?>
        </td>
        <td>
            <?php echo CHtml::link(Yii::t('mc', 'Up'), '#', array('class'=>'file-link ftp-tree-link ftp-tree-up', 'data-path'=>$this->up($path))) ?>
        </td>
    </tr>
<?php endif ?>
<?php 
$i = 0;
foreach($files as $file): ?>
    <tr class="ftp-table-row">
        <td width="30">
            <?php echo Theme::icon('ftp/folder') ?>
        </td>
        <td data-sort="<?php echo CHtml::encode($file['name']) ?>">
            <?php echo CHtml::link(CHtml::encode($file['name']), '#', array('class'=>'file-link ftp-tree-link', 'data-path'=>$this->path($path, $file['name']))) ?>
        </td>
    </tr>
<?php endforeach; ?>
</table>

<?php echo CHtml::endForm() ?>
