function toggleStyles() {
    var currentStyles = $('#styles').attr('href');
    var styles;

    if ($('#styles').attr('href').match('dark.css$'))
        styles = 'light';
    else
        styles = 'dark';

    $('#toggle-styles-dark').toggle();
    $('#toggle-styles-light').toggle();

    document.cookie = 'mc_color_scheme=' + styles + '; path=/; SameSite=Lax; expires=Fri, 31 Dec 9999 11:11:11 GMT';
    $('#styles').attr('href', $('#styles_preload').attr('href'));
    $('#styles_preload').attr('href', currentStyles);
}

function addFooterClass() {
    $('<footer>').addClass('main-footer');
}

function navHeaderHeight() {
    var portletDecoration = $('.portlet-decoration');
    portletDecoration.height(portletDecoration.outerHeight() + 3);
}

function toggleNavbarMenu() {
    $('#navbar-menu, #user-menu').toggleClass('show');
}

function installerRemoveNavbar() {
    if ($('body').hasClass('sidebar-open')) {
        $('body').removeClass('sidebar-open');
    }
}

$(function() {
    // Event listener for all hints
    $('.hint').hover(function() {
        $('<div class="hintText"></div>')
            .css({top: $(this).position().top - 5, left: $(this).position().left -235})
            .text($(this).data('content'))
            .appendTo($(".hintRow"))
            .slideDown('fast');
    }, function() {
        $('.hintText').remove();
    });

    // Add event listener for the top-menu toggler
    $('#topmenu-toggle .nav-link').click(function() {
        toggleNavbarMenu();
    });

    // On the first installer page we need to make sure there is no open NavBar
    if ($('.installer').length) {
        installerRemoveNavbar();
    }

    // Call previously defined functions that need to be invoked on document load
    navHeaderHeight();
    addFooterClass();
});
