<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
?>
<!doctype html>
<html lang="en">
<!--
 -
 -   Copyright © 2010-2023 by xhost.ch GmbH
 -
 -   All rights reserved.
 -
 -->
<head>
    <meta content="initial-scale=1.0, width=device-width, user-scalable=yes" name="viewport">
    <meta content="yes" name="apple-mobile-web-app-capable">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="language" content="en">
    <meta name="description" content="Multicraft: The Minecraft server control panel">
    <meta name="keywords" content="Multicraft, Minecraft, server, management, control panel, hosting">
    <meta name="author" content="xhost.ch GmbH">
    <link rel="shortcut icon" href="<?php echo  Yii::app()->request->baseUrl; ?>/favicon.ico">

    <link rel="stylesheet" type="text/css" href="<?php echo Theme::css('overlayScrollbars/OverlayScrollbars.min.css') ?>">
    <?php
        if (Yii::app()->theme->name == 'flat-dark')
            $styles = array('dark');
        else if (Yii::app()->theme->name == 'flat-light')
            $styles = array('light');
        else
        {
            $styles = array('light', 'dark');
            if (@$_COOKIE['mc_color_scheme'] === 'dark')
                $styles = array_reverse($styles);
        }
    ?>
    <link id="styles" rel="stylesheet" type="text/css" href="<?php echo Theme::css($styles[0].'.css') ?>">
    <?php if (count($styles) > 1): ?>
    <link id="styles_preload" rel="prefetch" href="<?php echo Theme::css($styles[1].'.css') ?>">
    <?php endif; ?>

    <script type="text/javascript" src="<?php echo Theme::js('fontawesome/fontawesome.js') ?>"></script>

    <title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>

<?php if (Yii::app()->user->isGuest && (Yii::app()->controller->id == "site")): ?>
    <body class="hold-transition layout-fixed mini">
<?php else: ?>
    <body class="hold-transition <?= $this->layout == '//layouts/column2' ? 'sidebar-mini' : 'sidebar-collapse' ?> layout-fixed layout-navbar-fixed">

    <script type="text/javascript">
        let item = localStorage.getItem('remember.lte.pushmenu');
        if (item = localStorage.getItem('remember.lte.pushmenu'))
            document.body.classList.add(item);
    </script>
<?php endif; ?>
